SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001422: proxy.pac file always return "DIRECT" ! - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001422Endian FirewallProxy HTTPpublic2008-11-04 15:142009-10-27 12:01
Reporterf1iqf 
Assigned Tosimon-endian 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target VersionFixed in Version2.3 
Summary0001422: proxy.pac file always return "DIRECT" !
DescriptionHello,

I seem to still have a problem similar as the 0000751 (closed in 2.2rc1).
I have a "no authentification" http proxy declared for my green network (explicit proxy). Therefore the proxy should send back, the proxy adress for this zone, but it is returning always "DIRECT", therefore the applications do not try to use the proxy and fail.

I have the feeling that is a problem similar as the bug 0000751.

Thank you for your help !
Nicolas
Additional Informationfunction FindProxyForURL(url, host)
{
        if (isPlainHostName(host) ||
                shExpMatch( url, "*192.168.5.1*" ) )
                return "DIRECT";
        else if (host == "127.0.0.1")
                return "DIRECT";
        else if (isInNet(host, "192.168.5.0", "255.255.255.0"))
                return "DIRECT";

        else
                return "DIRECT";
}

The last return "DIRECT" should be return "192.168.5.1:8080"
Tagsneedsfix
Attached Files

- Relationships
child of 0001365closedsimon-endian Browser autoconfiguration doesn't work for HTTP-Proxy 

-  Notes
(0001768)
f1iqf (reporter)
2008-11-04 15:51

I have found the origin of the problem: the file /var/efw/proxy/settings is missing the following 2 lines when the green_proxy is set to "no authentification":
PROXY_PORT=8080
PROXY_GREEN=noauth

If I add theses 2 lines manualy to the file, all works fine.
If I switch again the proxy to transparent, then my settings becomes:

MEM_POLICY=LRU
CACHE_MEM=20
L1_DIRS=16
UPSTREAM_PASSWORD=
UPSTREAM_USER=
LOGQUERY=off
PROXY=on
UPSTREAM_PROXY=
MAX_SIZE=4096
LOGGING=on
PROXY_BLUE=transparent
ADMIN_MAIL_ADDRESS=
PROXY_GREEN=transparent
VISIBLE_HOSTNAME=firewall
CACHE_POLICY=LRU
ERR_LANGUAGE=English
LOGUSERAGENT=off

and if I switch again to "no authentication", PROXY_GREEN and PROXY_PORT are missing again.
(0001769)
f1iqf (reporter)
2008-11-04 16:02

One should read:
PROXY_GREEN=enabled
(0001770)
simon-endian (developer)
2008-11-04 16:09

thx for the info. i will fix it asap

Best Regards
Simon
(0001811)
simon-endian (developer)
2008-11-20 11:44

now default settings file is also read to get the status info from all proxy zones (settings saves only the diff)
(0001926)
bonald (reporter)
2009-01-21 04:52

same problem with rc3.
here's the settings file i have with no auth.

MEM_POLICY=
CACHE_MEM=60
L1_DIRS=
UPSTREAM_PASSWORD=
UPSTREAM_USER=
PROXY=on
UPSTREAM_PROXY=
MAX_SIZE=2048
ADMIN_MAIL_ADDRESS=
CACHE_SIZE=550
VISIBLE_HOSTNAME=
CACHE_POLICY=
ERR_LANGUAGE=English

WPAD return DIRECT


Settings using authentication
MEM_POLICY=
CACHE_MEM=60
L1_DIRS=
UPSTREAM_PASSWORD=
UPSTREAM_USER=
PROXY=on
UPSTREAM_PROXY=
MAX_SIZE=2048
ADMIN_MAIL_ADDRESS=
PROXY_GREEN=auth
CACHE_SIZE=550
VISIBLE_HOSTNAME=
CACHE_POLICY=
ERR_LANGUAGE=English

WPAD return DIRECT


Transparent selected
MEM_POLICY=
CACHE_MEM=60
L1_DIRS=
UPSTREAM_PASSWORD=
UPSTREAM_USER=
PROXY=on
UPSTREAM_PROXY=
MAX_SIZE=2048
ADMIN_MAIL_ADDRESS=
PROXY_GREEN=transparent
CACHE_SIZE=550
VISIBLE_HOSTNAME=
CACHE_POLICY=
ERR_LANGUAGE=English

WPAD Direct!
(0001977)
simon-endian (developer)
2009-02-18 12:43

look at bug 0001365 for quickfix (patchfile)

- Issue History
Date Modified Username Field Change
2008-11-04 15:14 f1iqf New Issue
2008-11-04 15:14 f1iqf Assigned To => simon-endian
2008-11-04 15:24 peter-endian Tag Attached: needsfix
2008-11-04 15:51 f1iqf Note Added: 0001768
2008-11-04 16:02 f1iqf Note Added: 0001769
2008-11-04 16:09 simon-endian Note Added: 0001770
2008-11-20 10:50 simon-endian Relationship added child of 0001365
2008-11-20 11:44 simon-endian Note Added: 0001811
2008-11-20 11:44 simon-endian Status new => resolved
2008-11-20 11:44 simon-endian Fixed in Version => 2.3
2008-11-20 11:44 simon-endian Resolution open => fixed
2009-01-21 04:52 bonald Note Added: 0001926
2009-01-21 04:52 bonald Status resolved => feedback
2009-01-21 04:52 bonald Resolution fixed => reopened
2009-02-18 12:43 simon-endian Note Added: 0001977
2009-02-18 12:43 simon-endian Status feedback => resolved
2009-02-18 12:43 simon-endian Resolution reopened => fixed
2009-10-27 12:01 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker